Method: projects.locations.migrationJobs.fetchSourceObjects

Retrieves objects from the source database that can be selected for data migration. This is applicable for the following migrations: 1. PostgreSQL to Cloud SQL for PostgreSQL 2. PostgreSQL to AlloyDB for PostgreSQL.

HTTP request


GET https://datamigration.googleapis.com/v1/{name}:fetchSourceObjects

Path parameters

Parameters
name

string

Required. The resource name for the migration job for which source objects should be returned.

Authorization requires the following IAM permission on the specified resource name:

  • datamigration.migrationjobs.fetchSourceObjects

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-datamigration

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • datamigration.migrationjobs.fetchSourceObjects

For more information, see the IAM documentation.